Subject: Re: DESTDIR build does not use newly built libraries in libasn1?
To: Manuel Bouyer <>
From: John Hawkinson <jhawk@MIT.EDU>
List: current-users
Date: 07/13/2000 06:23:35
| > Would it be unreasonable to promise that -current would always be able to
| > build under the latest official stable release?
| Yes, for sure. What about ports which changes binary format and need new
| compile tools ?

I believe the argument could be made that a *release* should always
be able to be built under the previous release. This would be a subset
of the original request, and one more reasonable to my mind.

These problems still remain.

Since detailed instructions need to be disseminated
at-the-time-of-the-change, perhaps some thought should be given to
attempting to make those instructions part of the build system.

This would certainly add to pain and and annoyance of build system

On the other hand, however, it would prevent this annoying nonsense
of the rpcgen fiasco where a number of individuals "fixed" it when
it was functional.